ServerEvents.recipes(event => {
    const shaped = event.recipes.minecraft.crafting_shaped
    const shapeless = event.shapeless

    event.remove({id: 'create:splashing/gravel'})
    event.remove({id: 'chunkbychunk:worldforge'})
    event.remove({id: 'chunkbychunk:worldmender'})
    event.remove({output: 'experienceobelisk:cognitive_flux'})



    shaped(Item.of('experienceobelisk:cognitive_flux'), ["SQ ", "L  "], {
        S: 'minecraft:soul_sand',
        Q: 'minecraft:quartz',
        L: 'minecraft:lapis_lazuli'
    })

    shaped(Item.of('experienceobelisk:cognitive_flux'), ["SQ ", "L  "], {
        S: 'minecraft:soul_soil',
        Q: 'minecraft:quartz',
        L: 'minecraft:lapis_lazuli'
    })

    shaped(Item.of('chunkbychunk:worldmender'), [" D ", "DFD", " D "], {
        F: 'chunkbychunk:worldforge',
        D: 'minecraft:dispenser'
    })

    shaped(Item.of('chunkbychunk:worldforge'), ["RLR", "LFL", "RLR"], {
        R: 'minecraft:redstone_block',
        L: 'minecraft:lapis_lazuli',
        F: 'minecraft:furnace'
    })
})

